[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#596899: Please unblock ia32-libs/20101012

Michael Gilbert <michael.s.gilbert@gmail.com> writes:

> On Tue, 9 Nov 2010 16:21:19 +0100 Julien Cristau wrote:
>> On Tue, Nov  9, 2010 at 15:41:56 +0100, Thijs Kinkhorst wrote:
>> > As for ia32-libs, I would be willing to sponsor it but I don't think we
>> > should be making uploads for such trivial cleanup operations, is this
>> > really necessary to get ia32-libs unblocked?
>> > 
>> No.  I just didn't want to unblock it until the wine issue was resolved.
>> I'm still not convinced ia32-libs-dev is a useful/sane thing to ship.
>> Providing a working runtime environment for 32bit programs is one thing.
>> Providing a build environment is another entirely, and the way it has to
>> mangle .la files (and now .pc too) makes me wonder what other sort of
>> brokenness it lets through.  I probably won't object to this if the
>> current breakage gets fixed though, because I'm getting tired of this
>> package and would rather do something useful instead.
>> alsa-plugins also build-depends on ia32-libs, does it need a fix for the
>> new stuff too?  what about libvdpau?
> alsa-plugins, nspluginwrapper, fglrx-driver, nvidia-graphics-drivers,
> and sun-java6 all build-depend on ia32-libs, and build successfully
> without ia32-libs-dev. libvdpau doesn't.  I've uploaded a fix for that
> to mentors:
> http://mentors.debian.net/debian/pool/main/l/libvdpau
> Mike

Thanks. I checked in the past but overlooked libvdpau. Good to have this
looked at by another set of eyeballs.


Reply to: